Bug 820095 - RFE: add detail to the 'Oh no! Something has gone wrong' error message
RFE: add detail to the 'Oh no! Something has gone wrong' error message
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
rawhide
noarch Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 03:06 EDT by collura
Modified: 2017-07-14 15:41 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description collura 2012-05-09 03:06:54 EDT
Description of problem:

i get the friendliness idea of the 'oh no' error screen but
i think it misses its mark because it doenst provide
any useful detail for the person calling help line to 
read off something useful to the helper.  
(this could be a problem for someone not prepared to jump to 
a text terminal and start rooting around.)

reasons for a more informative error message
than 'Oh no! Something... .':

   a)vague error messages will drive vague bug reports 
     which dont help anyone
     (https://bugzilla.redhat.com/show_bug.cgi?id=705078#c37)
     >This bug mixes together 5-10 unrelated issues 
     >including resolved issues,
     >gnome-settings-daemon issues, GL driver issues, and so forth.

   b)an empowered user is not only happier but also 
     more productive when debugging an error.  
     if we help the user report useful info 
     (think abrt tool vs 'Oh no' message)
     then the bug reports will be more effective.

   c)vague error messages dont really tell us anything 
     we didnt already know and so can be 
     annoying to frustrated users 
     (https://bugzilla.redhat.com/show_bug.cgi?id=705078#c34)


so just a small amount of detail would help the reporter file 
a more useful report.  for example if the reporter could 
read off what package the error screen displays
as the cause then the helpdesk ticket could be 
filed as $cause instead of "user reports 'Oh no Something'".

if the cause of crasher is not available then 
maybe we tell the user how to look for that info.

i think the added info would do well to be along the lines 
suggested in another report to a user 
in response to receiving the error:

    https://bugzilla.redhat.com/show_bug.cgi?id=741075#c11
    'Oh no! Something has gone wrong at GDM after upgrading 
       from F15 to F16 x86_64...'

    '
    Adam Williamson 2011-10-29 01:31:50 EDT

    so, this error is shown by gnome-session 
    when any critical component of the
    GNOME session respawns more than once 
    within a minute. The offending component
    is always mentioned in ~/.xsession-errors .

    So for all those affected, please try to log in, 
    *leave* your system sitting at
    the 'oh no!' screen, switch to a console 
    with ctrl-alt-f3, log in, and take a
    copy of ~/.xsession-errors , then attach it to this report, 
    so we can see what's crashing.

    You can look in ~/.xsession-errors and you 
    should see a line like 'foobar is
    respawning too fast', or something along those line. 
    'foobar' is the component
    that's crashing. If possible, please then try 
    and figure out why: abrt may well
    have a report for it, or you can try running it 
    from a VT with 'DISPLAY=:0
    command' and see what errors you get.

    '

so following that idea we would change the existing: 

   'Oh no! Something has gone wrong.
    A problem has occurred and the system cant recover.
    Please log out and try again.'

message to something like:

  'Oh no! Something has gone wrong with $package at $function.
   Please logout and try again ... .'

or even better (empowered user = happy user):

   'Oh no! Something has gone wrong with $package at $function.
    Please logout and try again.

    This error is shown by gnome-session 
    when any critical component of the
    GNOME session respawns more than once 
    within a minute. 

    The offending component
    is always mentioned in ~/.xsession-errors .

    If this error re-occurs then 
    Please *leave* your system sitting at
    the 'Oh no!' screen while you switch to a console 
    (by typing ctrl-alt-f3), log in, and take note
    of the contents of ~/.xsession-errors 
    for your bug report so we can see what's crashing.
   '

which increases the usefulness of the message alot
by giving the uninitiated user a better idea about whats up 
and (more importantly) what they can do about it.

(the information is especially helpful if the error repeats.
i saw an instance where the 'Oh no try again' screen came 
up at every boot/login attempt ;') )


Version-Release number of selected component (if applicable):

  gnome-shell-3.4

How reproducible:

  always

Steps to Reproduce:
1. get error
2. be confuse as to why or what to do about it
3. file bug titled 'Oh no!' 
4. never receice a fix because error is too vague
  
Actual results:

  get vague error that is not so helpful so the bug will 
  never be identified

Expected results:

  get informative error message that will allow a bug report to 
  drive a bug fix

Additional info:

 currently i see about 14 historic bugs filed quoting 'Oh no Something'
 and the numbers will continue to increase.

 the https://bugzilla.redhat.com/show_bug.cgi?id=808736
   was kind enough to include an handy photo
   https://bugzilla.redhat.com/attachment.cgi?id=575652
Comment 1 bob mckay 2012-09-18 07:09:13 EDT
I'd like to add my support to collura in requesting this (I found this RFE because I was planning to make my own RFE on exactly the same issue, but collura has put it so much better than I would have). Better information would help most users (with the risk that it might confuse some).

However I'd like to ask whether there could be a slightly different design for a solution. I gather (don't have time to check) that by the time this screen appears, gnome is unreliable so that there's not much available to do interaction; the error screen seems to be just a splash screen that is thrown up. Would it at that point be possible to listen for keystrokes? In that case, the interaction could provide an interaction something like

"Oh no! Something has gone wrong and the system can't recover. You have two choices:
1. Use the hardware buttons to restart your machine (it might restart successfully next time).
2. Hit any key, which will take you to more information."

In this proposal, detecting a keystroke would lead to init 3, throwing up on the screen before or after login something like:

"   Something has gone wrong with $package at $function.
    This error is shown by gnome-session 
    when any critical component of the
    GNOME session respawns more than once 
    within a minute. 

    The offending component
    is always mentioned in ~/.xsession-errors .

    Taking you to a console session. 
    Please log in, and take note
    of the contents of ~/.xsession-errors 
    Please report this to your administrator 
    so they can see what's crashing.
   "

This error message might need some modification
if the crash occurs before login, because presumably
the error logging can't go to ~/.xsession-errors at that
point. I'm guessing /root/.xsession-errors?
Comment 2 John Brier 2013-02-06 16:30:03 EST
fwiw I'm on F18 and I'm getting this message before I login. I logout and it keeps happening over and over :-( So the issue occurs for other reasons besides an app within a logged in session respawning over and over. I probably need to open a new bug.
Comment 3 John Brier 2013-02-06 16:45:15 EST
(In reply to comment #2)
> fwiw I'm on F18 and I'm getting this message before I login. I logout and it
> keeps happening over and over :-( So the issue occurs for other reasons
> besides an app within a logged in session respawning over and over. I
> probably need to open a new bug.

that got me thinking, since a regular user wasn't logged in, X was running, but under gdm. In /var/log/gdm/:0-greeter.log I see stuff like so:

gnome-session[1070]: WARNING: Could not get session id for session. Check that logind is properly installed and pam_systemd is getting used at login.

I had modified my pam configuration (system-auth file) for SSSD per http://docs.fedoraproject.org/en-US/Fedora/17/html/System_Administrators_Guide/chap-SSSD_User_Guide-Setting_Up_SSSD.html

reverting those changes got me back in, albeit w/o network logon. now i'm having issues with my i915 graphics driver :-(
Comment 4 Richard W.M. Jones 2015-04-11 05:20:24 EDT
Non-actionable error messages like this are bad news all round.
We're not writing a Windows clone.
Comment 5 Jiri Prajzner 2016-07-19 05:32:24 EDT
Can we make this higher priority please?
THe fact that the session might be still running, it can save the user some unsaved work and then take some corrective actions. 
The current solution is really a poor alternative to what it may become.

Note You need to log in before you can comment on or make changes to this bug.